.m-matching-game-4 {
  width: 100%;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  margin-bottom: 1.6rem;
  padding: 0;

  &__left {
    width: 34%;
    // background: #f5f8fc;
    border-radius: 8px;
     padding-left: 0.6rem;
    .input-note{
      height: 3.5rem;
      border-radius: 0.8rem;
      border: 0.1rem solid #d5dee8;
      padding: 1rem 2rem;
    }
  }
  &__right {
    width: 66%;
    border-radius: 8px;
  }
  .box-table {
    display: flex;
    align-items: flex-start;
    .question-table {
      border-collapse: collapse; 
      tr{
        &.error{
          border: 1px solid #dd3a09 !important;
          border-radius: 8px;
        }
      }
      .tr-example{
        background: rgba($color: #3dc47d, $alpha: 0.15);
        .ic-action{
          filter: contrast(0.5);
        }
        .input-placeholder {
          input{
            color: #67ab8d;
          }
          
          .rs-picker-default .rs-picker-toggle.rs-btn-xs {
            background-color: transparent !important;
            .rs-picker-toggle-value{
             color: #67ab8d;  
             box-shadow: 0px 1px 0px 0px #67ab8d;
            }
            svg{
              color: #67ab8d;
            }
          }
        }
      }
      &.left {
        flex: 1;
        table-layout: fixed;
        .tr-action-add{
          >td{
            height: 6.2rem;
            text-align: left !important;
            .add-new-answer {
              padding: 1rem 0.5rem;
              &.error{
                padding: 10px;
                border-radius: 8px;
                border: 1px solid #dd3a09;
              }
            }
          }
          
        }
        thead tr th {
          &:nth-child(1) {
            width: 11.6rem;
            height: 5.6rem;
            text-align: center;
          }
          &:nth-child(3) {
            width: 8rem;
          }
        }
        tbody tr td {
          height: 100%;
          position: relative;
          &:nth-child(1) {
            text-align: center;
          }
          input[type='number'] {
            text-align: center;
          }

          .action {
            position: absolute;
            right: 1.4rem;
            top: 50%;
            transform: translateY(-50%);

            .ic-action {
              margin: 0 0.4rem;
            }
          }
          .__content-toggle {
            display: flex;
            align-items: center;
            margin-left: 1.6rem;
            .__switcher {
              display: flex;
              position: relative;
              transform: unset;
              pointer-events: auto;
              left: unset;
              top: unset;
              .rs-toggle-presentation {
                background: #67ab8d;
                min-width: 50px;
                width: auto;
                height: 24px;
              }
            }
            .rs-toggle-checked {
              .rs-toggle-presentation {
                background: #f8c116;
              }
            }
            &.toggle-error {
              .rs-toggle-presentation {
                box-shadow: 0 0 0 0.15rem #dd3a09;
              }
            }
          }
        }
        
        

        .rs-picker-default .rs-picker-toggle.rs-btn-xs {
          width: 5rem;
        }
      }
      &.right {
        flex: 1;
        table-layout: fixed;
        &:first-child {
          margin-right: 2rem;
        }

        &:nth-child(2) {
          thead tr th {
            &:nth-child(2) {
              width: 64px;
            }
          }
        }
        thead tr th {
          &:nth-child(1) {
           height: 5.6rem;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;

            span {
              padding: 11px;
              color: white;
              font-weight: 400;
              font-size: 1.4rem;
            }
          }
          &:nth-child(2) {
            width: 64px;
          }
        }

        thead tr th {
          &:last-child {
            width: 40px;
          }
        }

        tbody tr td {
          input[type='number'] {
            text-align: center;
          }

          .action {
            position: absolute;
            right: 1.4rem;
            top: 50%;
            transform: translateY(-50%);

            .ic-action {
              margin: 0 0.4rem;
            }
          }
        }

        .rs-picker-default .rs-picker-toggle.rs-btn-xs {
          width: 6rem;
          padding-top: 6px !important;
        padding-bottom: 6px !important;
        }
        .rs-picker-toggle-value{
          color: #595858;
          font-weight: 500;
          box-shadow: 0px 1px 0px 0px #595858;
          line-height: 1.3rem;
          text-align: center;
          font-size: 13px;
        }
        .order_default{
          .rs-picker-toggle-value{
            box-shadow: none;
          }
        }
      }
    }
  }
  .box-image-input-MG4 {
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;
    width: 100%;
    height: 31rem;
    background: #fff;
    position: relative;
    .image-section {
      height: 100%;
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 2rem;
      .image-input-origin {
        position: relative;
        max-height: 100%;
        max-width: 100%;
        .image-upload {
          max-width: 100%;
          height: 100%;
          max-height: 26rem;
        }
        .image-delete-icon {
          position: absolute;
          top: -6px;
          right: -6px;
          width: 24px;
          height: 24px;
          cursor: pointer;
        }
      }
    }
    &.error {
      border-color: #dd3a09 !important;
    }
    > span {
      position: absolute;
      top: 0;
      left: 1.5rem;
      transform: translate(0, -50%);
      background-color: #f5f8fc;
    }
  }
  
  .form-error-message {
    color: #ff0018;
    margin-top: 0;
    font-size: 1.2rem;
    display: flex;
    flex-direction: column;
    padding: 0 1rem 1rem 1rem;
  }
}
